- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.LegacyPlaybookRemoveCategoriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#body.aspect_1)
- [ApiDeleteCategoryResult](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#ApiDeleteCategoryResult)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#ApiDeleteCategoryResult.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyRemoveCategories

Removes multiple playbook categories in a single operation.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyRemoveCategories`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to remove the categories for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "ids": [ string ] } ``` |

| Fields ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ids of the categories to remove. |

### Response body

LegacyPlaybookRemoveCategoriesResponse is a response for removing categories.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deletedCategories": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#ApiDeleteCategoryResult`) } ], "deletedPlaybooks": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiDeleteWorkflowResult`) } ] } ``` |

| Fields ||
|---|---|
| `deletedCategories[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRemoveCategories#ApiDeleteCategoryResult`)`` Optional. The removed categories. |
| `deletedPlaybooks[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiDeleteWorkflowResult`)`` Optional. The removed playbooks. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ApiDeleteCategoryResult

Api result for deletion of categories

| JSON representation |
|---|
| ``` { "id": string, "errorMessage": string, "failed": boolean } ``` |

| Fields ||
|---|---|
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Id of category |
| `errorMessage` | `string` Optional. Any error messages associated with the call |
| `failed` | `boolean` Required. Flag indicating whether it was successful or error |